£1,179.41– £1,440.99
Compare 3 prices
Allied Telesis · Network Switch
Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey price in United Kingdom
Model AT-FS750/28-50MPN 990-004644-50EAN 767035203942
- Type1U
- Weight2.2 kg
- ColourGrey
- Switch typeManaged
Lowest price incl. delivery
£173.99
at Back to the OfficeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 6 Oct 2026, 17:41 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
1 store · prices in GBP · updated 6 Oct 2026, 17:41 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 6 Oct 2026, 17:41 UTC
- Back to the OfficeLowest priceAllied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey In stockFree shipping£173.99incl. free shippingGo to store : Back to the Office (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 17:41 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Allied Telesis
- Product
- AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
- Full name
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
- Manufacturer part number
- 990-004644-50
- EAN / UPC
- 767035203942
- Category
- Network Switch
50 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 28 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Fast Ethernet (10/100) |
| Fast Ethernet (copper) ports quantity | 24 |
| Gigabit Ethernet (copper) ports quantity | 2 |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Combo SFP ports quantity | 2 |
Network
| Networking standards | IEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | No |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| Virtual LAN features | Tagged VLAN, Port-based VLAN |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 12.8 Gbit/s |
| Number of queues | 4 |
| Jumbo frames support | Yes |
| Packet forwarding rate (1 Gbps) | 1488000 pps |
| Packet forwarding rate (10 Mbps) | 14880 pps |
| Packet forwarding rate (100 Mbps) | 148800 pps |
Security
| DHCP features | DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | MAC-based authentication |
| MAC address filtering | Yes |
Multicast features
| Multicast support | Yes |
|---|---|
| Number of multicast groups filtered | 256 |
Design
| Rack mounting | Yes |
|---|---|
| Form factor | 1U |
| Product colour | Grey |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 8.7 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | 0 - 40 °C |
|---|
Weight & dimensions
| Width | 330 mm |
|---|---|
| Depth | 18 mm |
| Height | 44 mm |
| Weight | 2.2 kg |
Packaging content
| Cables included | AC |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






